public class Locale { 
    static String decodeString(byte[] buf) { 
        return new String(buf);
    }
    
    static final String QUIT = "Quit";
    static final String BACK = "Back";
    static final String ZOOM_IN = "+Zoom In";
    static final String ZOOM_OUT = "-Zoom Out";
    static final String SEARCH = "Search";
    static final String INDEX = "Index";
    static final String START_POINT = "Start point";
    static final String FINISH_POINT = "Finish point";
    static final String SHORTEST_ROUTE = "Shortest route";
    static final String FASTEST_ROUTE = "Fastest route";
    static final String SEARCH_PATTERN = "Street prefix";
    static final String SEARCH_RESULT = "Search result";
    static final String RESET = "Reset";
    static final String HELP = "Help";
    static final String ERROR = "Error";
    static final String NO_OBJECT = "No Object";
    static final String NO_ROUTE = "Route not found";
    static final String START_POINT_SET = "Start point is set";
    static final String FINISH_POINT_SET = "Finish point is set";
    static final String START_POINT_IS_NOT_SET = "Start point is not set";
    static final String FINISH_POINT_IS_NOT_SET = "Finish point is not set";
    static final String CONFIRMATION = "Confirmation";
    static final String METRO = "Metro";
    static final String STEET = "Street";
    static final String TIME = "Time";
    static final String DISTANCE= "Distance";
    static final String EXPLAIN_ROUTE = "Explain route";

    static final boolean HORIZONTAL_STREET_NAMES = false;

    static final String[] OBJECT_TYPE = { 
        "Street",
        "Region",
        "Metro station",
        "Shop",
        "Restaurant",
        "Bank",
        "Monument",
        "Parking",
        "Museum",
        "Tourist Info",
        "Fast Food",
        "Theatre",
        "Cinima",
        "Club",
        "Auto",
        "Gas",
        "Train",
        "Embassy",
        "Police",
        "Hospital",
        "Hotel",
        "Park",
        "River",
        "Building"
    };
 

    static final String HELP_TEXT = 
                "[1] left+up\n" + 
                "[2] up\n" + 
                "[3] right+up\n" + 
                "[4] left\n" + 
                "[5] search\n" + 
                "[6] right\n" + 
                "[7] left+down\n" + 
                "[8] down\n" + 
                "[9] right+down\n" + 
                "[*] zoom in\n" + 
                "[0] all city\n" + 
                "[#] zoom out\n";            
}
