public class Locale { 
    static String decodeString(byte[] buf) { 
        char[] chars = new char[buf.length];
        for (int i = 0; i < buf.length; i++) { 
            byte b = buf[i];
            chars[i] = (char)(b < 0 ? b == -88 ? 0x401 : b == -72 ? 0x451 : 
                              (0x400 | ((b & 0x7f) - 0x30)) : b);
        }
        return new String(chars);
    }

    static final String QUIT = "";
    static final String BACK = "";
    static final String ZOOM_IN = "";
    static final String ZOOM_OUT = "";
    static final String SEARCH = "";
    static final String INDEX = "";
    static final String START_POINT = " ";
    static final String FINISH_POINT = " ";
    static final String SHORTEST_ROUTE = " ";
    static final String FASTEST_ROUTE = " ";
    static final String SEARCH_PATTERN = " ";
    static final String SEARCH_RESULT = " ";
    static final String RESET = " ";
    static final String HELP = "";
    static final String ERROR = "";
    static final String NO_OBJECT = "  ";
    static final String NO_ROUTE = "  ";
    static final String START_POINT_SET = "  ";
    static final String FINISH_POINT_SET = "  ";
    static final String START_POINT_IS_NOT_SET = "   ";
    static final String FINISH_POINT_IS_NOT_SET = "   ";
    static final String CONFIRMATION = "";
    static final String METRO = "";
    static final String STEET = "";
    static final String TIME = "";
    static final String DISTANCE= "";
    static final String EXPLAIN_ROUTE = " ";

    static final boolean HORIZONTAL_STREET_NAMES = false;

    static final String[] OBJECT_TYPE = { 
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "  ",
        " ",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        "",
        ""
    };


    static final String HELP_TEXT = 
                "[1]   \n" + 
                "[2] \n" + 
                "[3]   \n" + 
                "[4] \n" + 
                "[5] \n" + 
                "[6] \n" + 
                "[7]   \n" + 
                "[8] \n" + 
                "[9]   \n" + 
                "[*] \n" + 
                "[0]  \n" + 
                "[#] \n";  
}


