public class Point { 
    double  x;
    double  y;
    int     sx;
    int     sy;
    Cross   cross;
    Segment segment;

    public int hashCode() { 
        return (sy << 16) | (sx & 0xFFFF);
    }

    public boolean equals(Object o) { 
        if (o instanceof Point) { 
            Point p = (Point)o;
            return sx == p.sx && sy == p.sy;
        }
        return false;
    }

    Point(double x, double y, Segment segment) { 
        this.x = x;
        this.y = y;
        this.segment = segment;
    }
}

