import javax.microedition.lcdui.*;

public class HelpForm extends Form implements CommandListener { 
    MapCanvas canvas;

    HelpForm(MapCanvas canvas) { 
        super(Locale.HELP);
        this.canvas = canvas;

        append(Locale.HELP_TEXT);
        
        addCommand(MobileMap.BACK_CMD);
        setCommandListener(this);
        Display.getDisplay(canvas.main).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
        Display.getDisplay(canvas.main).setCurrent(canvas);
    }
}
